#!/usr/bin/env sh

# @file customerPreInstall.sh
#
# Contains the script to execute before running swupdate during a customer
# upgrade.
#
# The original intention of this script is to prove that we can resize "rootfs"
# and "firmware-bin" in the field without affecting "firmware-data". But even
# if the size remains unchanged between revisions, there's no harm running this
# script since each upgrade is supposed to re-write the contents of these 2
# read-only volumes anyway. We can probably just leave this script in to
# simplify the build script. The ubi calls should retain all the bad-block data.
#
# The following must be satisfied if the values changes:
# - Size of (rootfs) + (firmware-bin) < (mtd) - (firmware-data 8MiB) - (PEB)
# - Size of (rootfs) > (.squashfs) + (PEB)
# - Size of (firmware-data) remains untouched, unless there is a script to
#   off the data to somewhere else while the volume is resized.
#
# As of now, there is no need to resize the read-only volumes during customer
# upgrades.  The code is left here an example for the future.

exit 0

## #******************************************************************************
## # Helpers
## #******************************************************************************
##
## exit_if_failed ()
## {
##    if [ $? -ne 0 ]; then
##       exit -1
##    fi
## }
##
## #******************************************************************************
## #******************************************************************************
##
## # The rescue image would have attached ubi0, so skip it.
## # We should probably verify that it is indeed attached.
##
## # Delete existing "rootfs" volume
## ubirmvol /dev/ubi0 -n 0
## exit_if_failed
##
## # Delete existing "firmware-bin" volume
## ubirmvol /dev/ubi0 -n 1
## exit_if_failed
##
## # Resize "rootfs" volume
## ubimkvol /dev/ubi0 -N "rootfs" -s 54MiB
## exit_if_failed
##
## # Resize "firmware-bin" volume
## ubimkvol /dev/ubi0 -N "firmware-bin" -s 42MiB
## exit_if_failed
##
## exit 0
