#!/usr/bin/env sh
# postinstall.customer.sh
# Author: Chris Grove
# Purpose: script to run inside swupdate

MountUbiPartition()
{
   ubipartition=$1
   mountpoint=$2

   if grep -qs $mountpoint /proc/mounts; then
       echo "$mountpoint already mounted"
   else
       echo "mounting $mountpoint $ubipartition"
       mount -t ubifs $ubipartition $mountpoint
   fi
}

UpdateOwnership()
{    
   mountpoint=$1

   # user 50000 is tlouser
   # group 50000 is tlogrp
   chown 50000 $mountpoint
   chgrp 50000 $mountpoint
   chmod 755 $mountpoint
}

MountUbiPartition ubi0:firmware-bin /firmware/bin
tar -C /firmware/bin -xvpf /tmp/infiniivision-firmware-bin.tar.bz2
if [ $? -ne 0 ]; then
    echo "failed to extract firmware-user"
    exit -1
fi
UpdateOwnership /firmware/bin

MountUbiPartition ubi1:system-storage /usr/local
mkdir -p /usr/local/infiniivision
command -v pngsplash >/dev/null 2>&1 && { pngsplash /tmp/standardsplash.png /usr/local/infiniivision/splashimage.bin &> /dev/null; }
command -v pngsplash >/dev/null 2>&1 || { echo "pngsplash not built-in."; }
